Get experiment by id

Get experiment by id

Path parameters

idstringRequiredformat: "uuid"

Response

Experiment resource
dataset_namestring or null>=1 character
idstring or nullformat: "uuid"
dataset_idstring or nullRead-onlyformat: "uuid"
project_idstring or nullformat: "uuid"

Project ID. Takes precedence over project_name when both are provided.

project_namestring or nullformat: "(?s)^\s*(\S.*\S|\S)\s*$"

Project name. Creates project if it doesn’t exist. Ignored when project_id is provided.

namestring or null
metadatamap from strings to any or list of objects or string or null
tagslist of strings or null
typeenum or null
Allowed values:
evaluation_methodenum or null
Allowed values:
optimization_idstring or nullformat: "uuid"
feedback_scoreslist of objects or nullRead-only
commentslist of objects or nullRead-only
trace_countlong or nullRead-only
dataset_item_countlong or nullRead-only
created_atdatetime or nullRead-only
durationobject or null
total_estimated_costdouble or nullRead-only
total_estimated_cost_avgdouble or nullRead-only
usagemap from strings to doubles or nullRead-only
last_updated_atdatetime or nullRead-only
created_bystring or nullRead-only
last_updated_bystring or nullRead-only
statusenum or null
Allowed values:
experiment_scoreslist of objects or null
prompt_versionobject or null
prompt_versionslist of objects or null
dataset_version_idstring or nullformat: "uuid"
ID of the dataset version this experiment is linked to. If not provided at creation, experiment will be automatically linked to the latest version.
dataset_version_summaryobject or nullRead-only
Summary of the latest dataset version
pass_ratedouble or nullRead-only

Pass rate for evaluation suite experiments (0.0-1.0). Null for regular experiments.

passed_countlong or nullRead-only
Number of items that passed for evaluation suite experiments. Null for regular experiments.
total_countlong or nullRead-only
Total number of items for evaluation suite experiments. Null for regular experiments.

Errors